Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 219004 - app-emulation/pearpc-0.4 : can't emerge
Summary: app-emulation/pearpc-0.4 : can't emerge
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Jeremy Olexa (darkside) (RETIRED)
URL:
Whiteboard:
Keywords:
: 209625 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-04-23 10:08 UTC by f.mensik
Modified: 2008-06-12 22:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description f.mensik 2008-04-23 10:08:03 UTC
I counld't build app-emulation/pearpc-0.4.ebuild package.
The original ebuild file was complaining, that it couldn't find enabled TUN/TAP in actual kernel's .config file, but the option was enabled there.
I have Gentoo 2.0.0 running on x86 computer.


Here's my patch:
--- pearpc-0.4.ebuild_orig	2008-04-23 10:49:50.000000000 +0200
+++ pearpc-0.4.ebuild	2008-04-23 11:32:37.000000000 +0200
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/app-emulation/pearpc/pearpc-0.4.ebuild,v 1.7 2007/07/22 09:26:13 omp Exp $
 
-inherit eutils flag-o-matic linux-info
+inherit eutils flag-o-matic linux-mod linux-info
 
 DESCRIPTION="PowerPC Architecture Emulator"
 HOMEPAGE="http://pearpc.sourceforge.net/"
@@ -34,7 +34,10 @@
 }
 
 pkg_setup() {
-	linux_chkconfig_present TUN && die "You must have TUN/TAP enabled in your kernel."
+	linux-mod_pkg_setup
+	if ! linux_chkconfig_present TUN; then
+		die "You must have TUN/TAP enabled in your kernel."
+	fi
 }
 
 src_compile() {



Reproducible: Always
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2008-05-29 15:42:53 UTC
(In reply to comment #0)

> -       linux_chkconfig_present TUN && die "You must have TUN/TAP enabled in

Isn't the logic just wrong here. If it IS present then die? huh?

How about:
"linux_chkconfig_present TUN || die "You must have TUN/TAP enabled in ..."
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2008-06-12 22:58:16 UTC
(In reply to comment #1)
> (In reply to comment #0)
> 
> > -       linux_chkconfig_present TUN && die "You must have TUN/TAP enabled in
> 
> Isn't the logic just wrong here. If it IS present then die? huh?
> 
> How about:
> "linux_chkconfig_present TUN || die "You must have TUN/TAP enabled in ..."
> 

I was wrong, sorry bout that. The ebuild was just plain wrong. I used your fix, thanks!
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2008-06-12 22:59:08 UTC
*** Bug 209625 has been marked as a duplicate of this bug. ***